Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.util
Class SystemTimeUtils

    java.lang.Object
      org.apache.poi.hslf.util.SystemTimeUtils

    public final class SystemTimeUtils

extends java.lang.Object

A helper class for dealing with SystemTime Structs, as defined at http://msdn.microsoft.com/library/en-us/sysinfo/base/systemtime_str.asp . Discrepancies between Calendar and SYSTEMTIME: - that January = 1 in SYSTEMTIME, 0 in Calendar. - that the day of the week (0) starts on Sunday in SYSTEMTIME, and Monday in Calendar It is also the case that this does not store the timezone, and no... it is not stored as UTC either, but rather the local system time (yuck.)

Author:
  Daniel Noll, Nick Burch

Constructor Summary
`SystemTimeUtils()`

Method Summary
`static java.util.Date` | `getDate(byte[] data)` Get the date found in the byte array, as a java Data object
`static java.util.Date` | `getDate(byte[] data, int offset)` Get the date found in the byte array, as a java Data object
`static void` | `storeDate(java.util.Date date, byte[] dest)` Convert the supplied java Date into a SystemTime struct, and write it into the supplied byte array.
`static void` | `storeDate(java.util.Date date, byte[] dest, int offset)` Convert the supplied java Date into a SystemTime struct, and write it into the supplied byte array.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemTimeUtils

    public SystemTimeUtils()

Method Detail

### getDate

    public static java.util.Date getDate(byte[] data)

  Get the date found in the byte array, as a java Data object

### getDate

    public static java.util.Date getDate(byte[] data,
                                         int offset)

  Get the date found in the byte array, as a java Data object

### storeDate

    public static void storeDate(java.util.Date date,
                                 byte[] dest)

  Convert the supplied java Date into a SystemTime struct, and write it into the supplied byte array.

### storeDate

    public static void storeDate(java.util.Date date,
                                 byte[] dest,
                                 int offset)

  Convert the supplied java Date into a SystemTime struct, and write it into the supplied byte array.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD